<?php require 'include/header.php';

$urunsor=$db->prepare("SELECT * from urunler where urun_id=:urun_id");
$urunsor->execute(array(
	'urun_id' => $_GET['urun_id']
));
$uruncek=$urunsor->fetch(PDO::FETCH_ASSOC);
$meta = [
	'title' => $uruncek['urun_title'],
	'keywords' => $uruncek['urun_keyword'],
	'description' => $uruncek['urun_descr']
]; 
require 'include/menu.php';
$urunresimsor=$db->prepare("SELECT * from resim where resim_urun=:resim_urun");
$urunresimsor->execute(array(
	'resim_urun' => $uruncek['urun_id']
)); 
$kategoriedit=$db->prepare("SELECT * from kategoriler where kategori_id=:kategori_id");
$kategoriedit->execute(array(
	'kategori_id' => $uruncek['urun_kategori']
));
$kategoriwrite=$kategoriedit->fetch(PDO::FETCH_ASSOC);


if ( isset( $_POST[ 'sepetleoz' ] ) )
{


	$urunsorfy=$db->prepare("SELECT * from urunler where urun_id=:urun_id");
	$urunsorfy->execute(array(
		'urun_id' => $_POST['urun_id']
	));
	$urunfycek=$urunsorfy->fetch(PDO::FETCH_ASSOC);

	foreach ($_POST['ozel'] as $val) {
		$ozellik .= " -".htmlspecialchars(strip_tags($val))."<br>";
	}
	$urunbilgi = "<b>".htmlspecialchars($_POST['urun_adi'])."-".htmlspecialchars($urunfycek['urun_fiyat'])."TL</b>";
	if ($_POST['hosting']) {
		$hosting = "<br><b>Hosting: </b>".htmlspecialchars($_POST['hosting']);
	} else {
		$hosting = "";
	}
	if ($_POST['alanadi']) {
		$alanadi = "<br><b>Alan Adı: </b>".htmlspecialchars($_POST['alanadi']);
	} else {
		$alanadi = "";
	}
	if ($ozellik) {
		$ozellik = "<br>".$ozellik;
	} else {
		$ozellik = "";
	}


	$urunAdi = $urunbilgi.$alanadi.$hosting.$ozellik;
	
	$update     = array(
		'id'  => htmlspecialchars($_POST['urun_id']),
		'paket'  => htmlspecialchars($_POST['urun_paket']),
		'urun' => $urunAdi,
		'fiyat' => htmlspecialchars($_POST['urun_fiyat'])
	) ;

	$_SESSION['urunler'][]=$update;


	if ( $update )
	{

		Header( "Location:sepet" );
	}
	else
	{

		Header( "Location:sepet" );
	}

}
?>
<section class="page_title cs page_title text-center">
	<div id="particles-js"></div>
	<div class="container-fluid">
		<div class="row">
			<div class="divider-60"></div>
			<div class="col-md-12 text-center">
				<h1><?php echo $uruncek['urun_baslik']; ?></h1>
			</div>
			<div class="divider-50"></div>
		</div>
	</div>
	<ol class="breadcrumb full-width">
		<li class="breadcrumb-item" style="z-index: 9;">
			<a href="<?php echo $settingsprint['ayar_siteurl']; ?>">AnaSayfa</a>
		</li>
		<li class="breadcrumb-item" style="z-index: 9;">
			<a href="urunler">Ürünler</a>
		</li>
		<li class="breadcrumb-item" style="z-index: 9;">
			<a href="<?=seo('urun-kategori-'.$kategoriwrite["kategori_ad"]).'-'.$kategoriwrite["kategori_id"]?>"><?php echo $kategoriwrite['kategori_ad'] ?></a>
		</li>
	</ol>
</section>
<section class="ls s-py-80 c-gutter-60">
	<div class="container">
		<div class="row">
			<main class="col-lg-7 col-xl-8">
				<div class="product">

					<div class="images" data-columns="5">
						<figure>
							<?php while($urunresimcek=$urunresimsor->fetch(PDO::FETCH_ASSOC)) { ?>
								<div data-thumb="admin/<?php echo $urunresimcek['resim_link'] ?>">
									<a href="admin/<?php echo $urunresimcek['resim_link'] ?>">
										<img src="admin/<?php echo $urunresimcek['resim_link'] ?>" alt="<?php echo $uruncek['urun_baslik']; ?>" data-caption="<?php echo $uruncek['urun_baslik']; ?>" data-src="admin/<?php echo $urunresimcek['resim_link'] ?>" data-large_image="admin/<?php echo $urunresimcek['resim_link'] ?>">
									</a>
								</div>
							<?php } ?>
						</figure>
					</div>
					<div class="row">
						<?php  if ($uruncek['urun_demo']) {  ?>
							<div class="col-md-6">							
								<a style="width: 100%;" target="_blank" href="<?php echo $uruncek['urun_demo']; ?>" class="btn btn-outline-maincolor checkout wc-forward"> <span> <i class="fa fa-eye" style="margin-right: 5px;"></i> Site Demo <br></span></a>
							</div>
						<?php } if ($uruncek['urun_admin']) {  ?>
							<div class="col-md-6">							
								<a style="width: 100%;" target="_blank" href="<?php echo $uruncek['urun_admin']; ?>" class="btn btn-outline-maincolor checkout wc-forward"> <span> <i class="fa fa-eye" style="margin-right: 5px;"></i> Admin Demo</span></a>
							</div>
						<?php } ?>
					</div>
					<div class="woocommerce-tabs wc-tabs-wrapper">

						<ul class="tabs wc-tabs" role="tablist">
							<li class="description_tab" id="tab-title-description" role="tab" aria-controls="tab-description">
								<a href="#tab-description">Açıklama</a>
							</li>
							<li class="reviews_tab" id="tab-title-reviews" role="tab" aria-controls="tab-reviews">
								<a href="#tab-reviews">Sık Sorulan Sorular</a>
							</li>
						</ul>

						<div class="panel wc-tab" id="tab-description" role="tabpanel" aria-labelledby="tab-title-description">

							<?php if ($uruncek['urun_auser']&&$uruncek['urun_apass']) {  ?>	
								<div class="col-md-12 text-center">						
									<b>Admin Kullanıcı:</b> <?php echo $uruncek['urun_auser']; ?> <br> 
									<b>Admin Şifre:</b> <?php echo $uruncek['urun_apass']; ?>
								</div><br> 
							<?php } ?>
							<p><?php echo $uruncek['urun_aciklama']; ?></p>
						</div>
						<div class="panel wc-tab" id="tab-reviews" role="tabpanel" aria-labelledby="tab-title-reviews">

							<div id="accordion01" role="tablist">
								<?php 
								$ssssor=$db->prepare("SELECT * from sss order by sss_sira ASC");
								$ssssor->execute();
								$firstt = 0;
								foreach ($ssssor as  $ssscek) { ?> 
									<div class="card">
										<div class="card-header" role="tab" id="collapse02_header">
											<h5>
												<a class=" <?php if ($firstt != 0) { ?> collapsed <?php } else { ?> collapse <?php } ?>" data-toggle="collapse" href="#collapse0<?php echo $ssscek['sss_id']; ?>" aria-expanded="false" aria-controls="collapse0<?php echo $ssscek['sss_id']; ?>">
													<?php echo $ssscek['sss_soru']; ?>
												</a>
											</h5>
										</div>
										<div id="collapse0<?php echo $ssscek['sss_id']; ?>" class="collapse <?php if ($firstt == 0) { ?> show <?php } ?>" role="tabpanel" aria-labelledby="collapse02_header" data-parent="#accordion01">
											<div class="card-body">
												<?php echo $ssscek['sss_cevap']; ?>
											</div>
										</div>
									</div>
									<?php $firstt += 1;  } ?>				
								</div>
							</div>

						</div>

						<div class="cross-sells">

							<h5>İlginizi çekebilir</h5>

							<ul class="products">
								<?php 
								$urunsorben=$db->prepare("SELECT * from urunler where urun_paket='0' order by urun_id DESC Limit 5");
								$urunsorben->execute();
								while($uruncekben=$urunsorben->fetch(PDO::FETCH_ASSOC)) { 
									$resimsor=$db->prepare("SELECT * from resim where resim_urun=:resim_urun Limit 1");
									$resimsor->execute(array(
										'resim_urun' => $uruncekben['urun_id']
									));
									?>
									<li class="product vertical-item padding-small content-padding">
										<div class="product-inner hero-bg rounded">
											<a class="link-scale" href="<?=seo('detay-'.$uruncekben["urun_baslik"]).'-'.$uruncekben["urun_id"]?>">
												<?php while($resimcek=$resimsor->fetch(PDO::FETCH_ASSOC)) {  ?>
													<img style="border: 1px solid #f1f1f1;" alt="<?php echo $uruncekben['urun_baslik']; ?>" src="admin/<?php echo $resimcek['resim_link'] ?>">
												<?php } ?>
											</a>
											<div class="item-content">
												<h2 style="font-size: 20px;"><?php 
												$urunkarakter = strlen( $uruncekben['urun_baslik'] );
												if ( $urunkarakter > 30 )
												{
													echo mb_substr($uruncekben['urun_baslik'], 0,30, 'UTF-8');
												} else {
													echo $uruncekben['urun_baslik']; 
												} ?></h2>

												<span class="price" style="margin: 8px 0 9px;">
													<span><i class="fa fa-try"></i></span><?php echo $uruncekben['urun_fiyat']; ?>
												</span>
												<div class="row">
													<div class="col-md-12 col-sm-12" style="margin-bottom: 10px;">
														<a style="width: 100%;" rel="nofollow" target="_blank" href="<?php echo $uruncekben['urun_demo']; ?>" class="btn btn-maincolor small-btn product_type_simple add_to_cart_button">
															<span>Demo</span>
														</a>
													</div>
													<div class="col-md-12 col-sm-12">
														<a style="width: 100%;" rel="nofollow" href="<?=seo('detay-'.$uruncekben["urun_baslik"]).'-'.$uruncekben["urun_id"]?>" class="btn btn-maincolor small-btn product_type_simple add_to_cart_button">
															<span>detay</span>
														</a>
													</div>
												</div>
											</div>
										</li>
									<?php } ?>
								</ul>

							</div>
						</div>
					</main>
					<?php include 'include/sidebar-dty.php'; ?>
				</div>
			</section>
			<?php  include 'include/footer.php'; ?>


			<script>
				$(function () {

					$( ".ozel" ).click(function() {
						if ($(this).is(':checked')) {
							var sayi2=Number($("#fiyatAlani").html());
							var sayi1=Number($(this).attr('data'));
							var toplam=sayi1+sayi2;
							$("#fiyatAlani").html(toplam);
							$('input.urun_fiyat').val(toplam);
						} else {
							var sayi2=Number($("#fiyatAlani").html());
							var sayi1=Number($(this).attr('data'));
							var toplam=Number(sayi2-sayi1);
							$("#fiyatAlani").html(toplam);
							$('input.urun_fiyat').val(toplam);
						}
					});
					$( ".ozelhost" ).change(function() {
						if ($(".ozelhost option:selected").attr('data')!=0) {
							if ($('input.urun_fiyathost').val()!=0) {	

								var sayi2=Number($("#fiyatAlani").html());
								var sayi1=Number($('input.urun_fiyathost').val());
								var toplam=Number(sayi2-sayi1);
								$("#fiyatAlani").html(toplam);
								$('input.urun_fiyathost').val(0);

							} 								
							var sayi2=Number($("#fiyatAlani").html());
							var sayi1=Number($(".ozelhost option:selected").attr('data'));
							var toplam=Number(sayi2+sayi1);
							$("#fiyatAlani").html(toplam);
							$('input.urun_fiyat').val(toplam);
							$('input.urun_fiyathost').val($(".ozelhost option:selected").attr('data'));
							

						} else {
							var sayi2=Number($("#fiyatAlani").html());
							var sayi1=Number($('input.urun_fiyathost').val());
							var toplam=Number(sayi2-sayi1);
							$("#fiyatAlani").html(toplam);
							$('input.urun_fiyat').val(toplam);
							$('input.urun_fiyathost').val(0);
						}
					});
				})
			</script>
